Hi,

don't know about MAC; that's what I know for Windows:

You need to have:

* TCL/TK installed (for example, from Active State)
* The _right_ compiled Ruby-TK-Files
* Your ENV-Variable "path" set to the right paths

The Ruby-TK-Files depend on:
* TK-Version (8.4, 8.5; 8.5 probably looks nicer)
* Ruby version
* Compiler, with which Ruby has been complied.

AFAIK, it is sufficient to get the right ruby-files from "somewhere"
and copy them to the
right dirs in the Ruby dir.

I think, Roger Pack recently provided at least two versions of Ruby-
files, but now I can find only one:
* http://github.com/rdp/tk_as_gem

Maybe, you can find links to more here:
* http://groups.google.com/group/rubyinstaller/topics

If you want to compile it yourself with mingw:
* comp.lang.ruby, 2009-12-18, "Ruby 1.8.7 + Tk8.5 with Windows-
RubyInstaller"

If you want to compile it with Microsoft compiler (IMHO, this has
disadvantages regarding other libraries!):
* www.tkdocs.com

Axel